Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 662730 - [enh] add dispatcher event on DHCP lease change
Summary: [enh] add dispatcher event on DHCP lease change
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: NetworkManager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Dan Williams
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-13 17:59 UTC by Dan Williams
Modified: 2011-05-19 14:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
DHCP lease change events now trigger dispatcher scripts at the /etc/NetworkManager/dispatcher.d location.
Clone Of:
Environment:
Last Closed: 2011-05-19 14:25:02 UTC
Target Upstream Version:


Attachments (Terms of Use)
lease change event patch (1.81 KB, patch)
2010-12-13 18:00 UTC, Dan Williams
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 563654 0 None None None Never
Red Hat Product Errata RHBA-2011:0769 0 normal SHIPPED_LIVE NetworkManager bug fix and enhancement update 2011-05-18 18:08:36 UTC

Description Dan Williams 2010-12-13 17:59:25 UTC
Patch is already upstream for quite a while, and is small and contained.  It allows dispatcher scripts to respond to possible changes of DHCP options, which wasn't possible before.

Comment 1 Dan Williams 2010-12-13 18:00:06 UTC
Created attachment 468439 [details]
lease change event patch

Comment 4 Dan Williams 2010-12-13 18:08:01 UTC
This patch is very simple and does not change any existing functionality, it only adds a small bit of *new* functionality.

Comment 5 Dan Williams 2010-12-13 18:09:49 UTC
Upstream fix:

9b54cb1ec617ea8bff86d6d74c06cef5a51e26c9 (master)
ca2dfc0ae7d1d935c6f378ae090d8681190b37a0 (0.8.x)

Comment 10 Misha H. Ali 2011-04-20 07:42:28 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
DHCP lease change events now trigger dispatcher scripts at the /etc/NetworkManager/dispatcher.d location.

Comment 11 errata-xmlrpc 2011-05-19 14:25:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0769.html


Note You need to log in before you can comment on or make changes to this bug.